Bug 218588 - [MAINTAINER] audio/py-pyaudio: Update to version 0.2.11
Summary: [MAINTAINER] audio/py-pyaudio: Update to version 0.2.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Thomas Zander
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2017-04-12 12:20 UTC by Jaap Akkerhuis
Modified: 2017-04-16 06:40 UTC (History)
1 user (show)

See Also:
riggs: merge-quarterly+


Attachments
Patch to update (2.40 KB, patch)
2017-04-12 12:20 UTC, Jaap Akkerhuis
jaap: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaap Akkerhuis 2017-04-12 12:20:35 UTC
Created attachment 181714 [details]
Patch to update

From the website: January 16, 2017:

PyAudio 0.2.10 is a new release with bug fixes related to the Python GIL. It also introduces a few automated unit tests.

Great thanks to Michael Graczyk for discovering the GIL-related issues and for submitting a patch!

The port will now need to generate the documentation.
Comment 1 commit-hook freebsd_committer 2017-04-14 16:03:57 UTC
A commit references this bug:

Author: riggs
Date: Fri Apr 14 16:03:48 UTC 2017
New revision: 438525
URL: https://svnweb.freebsd.org/changeset/ports/438525

Log:
  Update to upstream version 0.2.11, fixes runtime issue with python GIL

  PR:		218588
  Submitted by:	jaap@NLnetLabs.nl (maintainer)
  MFH:		2017Q2

Changes:
  head/audio/py-pyaudio/Makefile
  head/audio/py-pyaudio/distinfo
  head/audio/py-pyaudio/files/patch-Makefile
Comment 2 commit-hook freebsd_committer 2017-04-16 06:32:28 UTC
A commit references this bug:

Author: riggs
Date: Sun Apr 16 06:31:29 UTC 2017
New revision: 438616
URL: https://svnweb.freebsd.org/changeset/ports/438616

Log:
  MFH: r438525

  Update to upstream version 0.2.11, fixes runtime issue with python GIL

  PR:		218588
  Submitted by:	jaap@NLnetLabs.nl (maintainer)

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2017Q2/
  branches/2017Q2/audio/py-pyaudio/Makefile
  branches/2017Q2/audio/py-pyaudio/distinfo
  branches/2017Q2/audio/py-pyaudio/files/patch-Makefile